import { IGroup, IShape } from '@antv/g-base';
import { ShapeStyle } from '../../../types';
import { LiquidOptions } from '../types';
/**
 * 添加水波
 * @param x           中心x
 * @param y           中心y
 * @param level       水位等级 0～1
 * @param waveCount   水波数
 * @param waveAttrs      色值
 * @param group       图组
 * @param clip        用于剪切的图形
 * @param radius      绘制图形的高度
 * @param waveLength  波的长度
 */
export declare function addWaterWave(x: number, y: number, level: number, waveCount: number, waveAttrs: ShapeStyle, group: IGroup, clip: IShape, radius: number, waveLength: number, animation: LiquidOptions['animation']): void;
